Xalan-Java 2.7.1: Class TrAXFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class TrAXFilter

    java.lang.Object
      |
      +--org.xml.sax.helpers.XMLFilterImpl
            |
            +--org.apache.xalan.xsltc.trax.TrAXFilter

public class TrAXFilter
extends XMLFilterImpl

skeleton extension of XMLFilterImpl for now.

Constructor Summary
`TrAXFilter(Templates templates)`

Method Summary
`Transformer` | `getTransformer()`
`void` | `parse(InputSource input)`
`void` | `parse(java.lang.String systemId)`
`void` | `setContentHandler(ContentHandler handler)`
`void` | `setErrorListener(ErrorListener handler)`

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrAXFilter

    public TrAXFilter(Templates templates)
               throws TransformerConfigurationException

Method Detail

### getTransformer

    public Transformer getTransformer()

### parse

    public void parse(InputSource input)
               throws SAXException,
                      java.io.IOException

  Overrides:
    parse in class XMLFilterImpl

### parse

    public void parse(java.lang.String systemId)
               throws SAXException,
                      java.io.IOException

  Overrides:
    parse in class XMLFilterImpl

### setContentHandler

    public void setContentHandler(ContentHandler handler)

  Overrides:
    setContentHandler in class XMLFilterImpl

### setErrorListener

    public void setErrorListener(ErrorListener handler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.